using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Data;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.selectAllButton.Click   += SelectAllButton_Click;
        this.deselectAllButton.Click += DeselectAllButton_Click;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region  ׸  ư Ŭ óϱ - SelectAllButton_Click(sender, e)

    /// <summary>
    ///  ׸  ư Ŭ óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void SelectAllButton_Click(object sender, RoutedEventArgs e)
    {
        if(this.listView.SelectionMode == ListViewSelectionMode.Multiple || this.listView.SelectionMode == ListViewSelectionMode.Extended)
        {
            this.listView.SelectAll();
        }
    }

    #endregion
    #region  ׸   ư Ŭ óϱ - DeselectAllButton_Click(sender, e)

    /// <summary>
    ///  ׸   ư Ŭ óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void DeselectAllButton_Click(object sender, RoutedEventArgs e)
    {
        if(this.listView.SelectionMode == ListViewSelectionMode.Multiple || this.listView.SelectionMode == ListViewSelectionMode.Extended)
        {
            this.listView.DeselectRange(new ItemIndexRange(0, (uint)this.listView.Items.Count));
        }
    }

    #endregion
}